## org.apache.bcel.classfile
Class ClassFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.bcel.classfile.ClassFormatException

All Implemented Interfaces:
  Serializable

    public class ClassFormatException

extends RuntimeException

Thrown when the BCEL attempts to read a class file and determines that the file is malformed or otherwise cannot be interpreted as a class file.

Version:
  $Id: ClassFormatException.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Constructor Summary
`ClassFormatException()`
`ClassFormatException(String s)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassFormatException

    public ClassFormatException()

### ClassFormatException

    public ClassFormatException(String s)

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.